Debian DSA-499-2 : rsync - directory traversal

medium Nessus Plugin ID 15336

Synopsis

The remote Debian host is missing a security-related update.

Description

A vulnerability was discovered in rsync, a file transfer program, whereby a remote user could cause an rsync daemon to write files outside of the intended directory tree. This vulnerability is not exploitable when the daemon is configured with the 'chroot' option.

Solution

For the current stable distribution (woody) this problem has been fixed in version 2.5.5-0.5.

We recommend that you update your rsync package.

See Also

http://www.debian.org/security/2004/dsa-499

Plugin Details

Severity: Medium

ID: 15336

File Name: debian_DSA-499.nasl

Version: 1.23

Type: local

Agent: unix

Published: 9/29/2004

Updated: 1/4/2021

Supported Sensors: Frictionless Assessment Agent, Nessus Agent

Risk Information

VPR

Risk Factor: Low

Score: 3.4

CVSS v2

Risk Factor: Medium

Base Score: 5

Temporal Score: 3.7

Vector: AV:N/AC:L/Au:N/C:N/I:P/A:N

Temporal Vector: E:U/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:debian:debian_linux:rsync, cpe:/o:debian:debian_linux:3.0

Required KB Items: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

Exploit Ease: No known exploits are available

Patch Publication Date: 6/2/2004

Vulnerability Publication Date: 4/29/2004

Reference Information

CVE: CVE-2004-0426

BID: 10247

DSA: 499